org.apache.poi.hslf.model

## Class PPGraphics2D

- java.lang.Object
- - java.awt.Graphics
  - - java.awt.Graphics2D
    - - org.apache.poi.sl.draw.SLGraphics
      - - org.apache.poi.hslf.model.PPGraphics2D

- All Implemented Interfaces:
    java.lang.Cloneable

  Deprecated.
  since 4.0.0 - use SLGraphics

      @Deprecated
       @Removal(version="5.0.0")
      public final class PPGraphics2D
      extends SLGraphics

  Translates Graphics2D calls into PowerPoint.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PPGraphics2D(HSLFGroupShape group)` Deprecated. Construct Java Graphics object which translates graphic calls in ppt drawing layer.

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.sl.draw.SLGraphics

      `addRenderingHints, applyPaint, applyStroke, clearRect, clip, clipRect, copyArea, create, dispose, draw, drawArc, drawGlyphVector, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawLine, drawOval, drawPolygon, drawPolyline, drawRect, drawRenderableImage, drawRenderedImage, drawRoundRect, drawString, drawString, drawString, drawString, fill, fillArc, fillOval, fillPolygon, fillRect, fillRoundRect, getBackground, getClip, getClipBounds, getColor, getComposite, getDeviceConfiguration, getFont, getFontMetrics, getFontRenderContext, getPaint, getRenderingHint, getRenderingHints, getShapeGroup, getStroke, getTransform, hit, rotate, rotate, scale, setBackground, setClip, setClip, setColor, setComposite, setFont, setPaint, setPaintMode, setRenderingHint, setRenderingHints, setStroke, setTransform, setXORMode, shear, transform, translate, translate`

    - ### Methods inherited from class java.awt.Graphics2D

      `draw3DRect, fill3DRect`

    - ### Methods inherited from class java.awt.Graphics

      `create, drawBytes, drawChars, drawPolygon, fillPolygon, finalize, getClipBounds, getClipRect, getFontMetrics, hitClip, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PPGraphics2D

          public PPGraphics2D(HSLFGroupShape group)

      Deprecated.
      Construct Java Graphics object which translates graphic calls in ppt drawing layer.
      Parameters:
        `group` - The shape group to write the graphics calls into.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.